Index: code/branches/gui/src/orxonox/OrxonoxStableHeaders.h
===================================================================
--- code/branches/gui/src/orxonox/OrxonoxStableHeaders.h	(revision 1704)
+++ code/branches/gui/src/orxonox/OrxonoxStableHeaders.h	(revision 1724)
@@ -28,6 +28,6 @@
 
 /**
- @file  OrxonoxStableHeaders.h
- @brief Contains the bigger (or smaller) header files in order to precompile them with MSVC
+ @file
+ @brief Contains the frequently used header files of our own writing
  */
 
@@ -37,5 +37,5 @@
 #include "util/OrxonoxPlatform.h"
 
-#if ORXONOX_COMPILER == ORXONOX_COMPILER_MSVC
+#if ORXONOX_COMPILER == ORXONOX_COMPILER_MSVC && !defined(ORXONOX_DISABLE_PCH)
 
 // including std headers here is useless since they're already precompiled
@@ -45,5 +45,4 @@
 #  define WIN32_LEAN_AND_MEAN
 #endif
-
 #include <Ogre.h>
 #include <CEGUI.h>
@@ -53,10 +52,12 @@
 #include <boost/thread/thread.hpp>
 
-//-----------------------------------------------------------------------
-// ORXONOX HEADERS
-//-----------------------------------------------------------------------
-
 #include "tinyxml/ticpp.h"
 #include "tinyxml/tinyxml.h"
+
+
+//----------- Our files ----------
+//--------------------------------
+// only include when not debugging so that we may find issues with missing headers quicker
+#if defined(NDEBUG)
 
 #include "util/Convert.h"
@@ -88,5 +89,7 @@
 //#include "objects/WorldEntity.h"
 
-#endif /* Compiler MSVC */
+#endif /* ifdef NDEBUG */
+
+#endif /* ORXONOX_COMPILER == ORXONOX_COMPILER_MSVC && !defined(ORXONOX_DISABLE_PCH) */
 
 #endif /* _OrxonoxStableHeaders_H__ */
Index: code/branches/gui/src/orxonox/gamestates/GSGraphics.cc
===================================================================
--- code/branches/gui/src/orxonox/gamestates/GSGraphics.cc	(revision 1704)
+++ code/branches/gui/src/orxonox/gamestates/GSGraphics.cc	(revision 1724)
@@ -160,5 +160,5 @@
     void GSGraphics::ticked(const Clock& time)
     {
-        uint64_t timeBeforeTick = time.getRealMicroseconds();
+        unsigned long long timeBeforeTick = time.getRealMicroseconds();
         float dt = time.getDeltaTime();
 
@@ -168,5 +168,5 @@
         this->tickChild(time);
         
-        uint64_t timeAfterTick = time.getRealMicroseconds();
+        unsigned long long timeAfterTick = time.getRealMicroseconds();
 
         tickTime_ += (unsigned int)(timeAfterTick - timeBeforeTick);
Index: code/branches/gui/src/orxonox/gamestates/GSGraphics.h
===================================================================
--- code/branches/gui/src/orxonox/gamestates/GSGraphics.h	(revision 1704)
+++ code/branches/gui/src/orxonox/gamestates/GSGraphics.h	(revision 1724)
@@ -80,5 +80,5 @@
         unsigned long         frameCount_;
         unsigned int          statisticsRefreshCycle_;
-        uint64_t              statisticsStartTime_;
+        unsigned long long    statisticsStartTime_;
         unsigned long         statisticsStartCount_;
         unsigned int          tickTime_;
Index: code/branches/gui/src/orxonox/tools/Timer.h
===================================================================
--- code/branches/gui/src/orxonox/tools/Timer.h	(revision 1704)
+++ code/branches/gui/src/orxonox/tools/Timer.h	(revision 1724)
@@ -62,5 +62,4 @@
 
 #include "OrxonoxPrereqs.h"
-#include "util/Integers.h"
 #include "core/OrxonoxClass.h"
 
@@ -101,11 +100,11 @@
             /** @brief Gives the Timer some extra time. @param time The amount of extra time in seconds */
             inline void addTime(float time)
-                { if (time > 0.0f) this->time_ += (int64_t)(time * 1000000.0f); }
+                { if (time > 0.0f) this->time_ += (long long)(time * 1000000.0f); }
             /** @brief Decreases the remaining time of the Timer. @param time The amount of time to remove */
             inline void removeTime(float time)
-                { if (time > 0.0f) this->time_ -= (int64_t)(time * 1000000.0f); }
+                { if (time > 0.0f) this->time_ -= (long long)(time * 1000000.0f); }
             /** @brief Sets the interval of the Timer. @param interval The interval */
             inline void setInterval(float interval)
-                { this->interval_ = (int64_t)(interval * 1000000.0f); }
+                { this->interval_ = (long long)(interval * 1000000.0f); }
             /** @brief Sets bLoop to a given value. @param bLoop True = loop */
             inline void setLoop(bool bLoop)
@@ -119,9 +118,9 @@
             Executor* executor_; //!< The executor of the function that should be called when the time expires
 
-            int64_t interval_;  //!< The time-interval in micro seconds
+            long long interval_; //!< The time-interval in micro seconds
             bool bLoop_;         //!< If true, the function gets called every 'interval' seconds
             bool bActive_;       //!< If true, the Timer ticks and calls the function if the time's up
 
-            int64_t time_;      //!< Internal variable, counting the time till the next function-call
+            long long time_;     //!< Internal variable, counting the time till the next function-call
     };
 