Index: code/branches/core3/src/core/BaseObject.h
===================================================================
--- code/branches/core3/src/core/BaseObject.h	(revision 1734)
+++ code/branches/core3/src/core/BaseObject.h	(revision 1736)
@@ -103,7 +103,7 @@
     };
 
-    SUPER_FUNCTION(1, BaseObject, XMLPort, false);
-    SUPER_FUNCTION(3, BaseObject, changedActivity, false);
-    SUPER_FUNCTION(4, BaseObject, changedVisibility, false);
+    SUPER_FUNCTION(0, BaseObject, XMLPort, false);
+    SUPER_FUNCTION(2, BaseObject, changedActivity, false);
+    SUPER_FUNCTION(3, BaseObject, changedVisibility, false);
 }
 
Index: code/branches/core3/src/core/Namespace.cc
===================================================================
--- code/branches/core3/src/core/Namespace.cc	(revision 1734)
+++ code/branches/core3/src/core/Namespace.cc	(revision 1736)
@@ -60,5 +60,4 @@
     void Namespace::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
-//        BaseObject::XMLPort(xmlelement, mode);
         SUPER(Namespace, XMLPort, xmlelement, mode);
 
Index: code/branches/core3/src/core/Super.h
===================================================================
--- code/branches/core3/src/core/Super.h	(revision 1734)
+++ code/branches/core3/src/core/Super.h	(revision 1736)
@@ -105,5 +105,5 @@
                     if (!((ClassIdentifier<T>*)(*it))->superFunctionCaller_##functionname##_) \
                     { \
-                        COUT(0) << "Added SuperFunctionCaller for " << #functionname << ": " << ClassIdentifier<T>::getIdentifier()->getName() << " <- " << ((ClassIdentifier<T>*)(*it))->getName() << std::endl; \
+                        COUT(5) << "Added SuperFunctionCaller for " << #functionname << ": " << ClassIdentifier<T>::getIdentifier()->getName() << " <- " << ((ClassIdentifier<T>*)(*it))->getName() << std::endl; \
                         ((ClassIdentifier<T>*)(*it))->superFunctionCaller_##functionname##_ = new SuperFunctionClassCaller_##functionname <T>; \
                     } \
@@ -218,7 +218,4 @@
 
     // (1/3) --> HERE <-- --> HERE <-- --> HERE <-- --> HERE <-- --> HERE <-- --> HERE <-- --> HERE <--
-    #define SUPER_testfunction(classname, functionname, ...) \
-        SUPER_NOARGS(classname, functionname)
-
     #define SUPER_XMLPort(classname, functionname, ...) \
         SUPER_ARGS(classname, functionname, __VA_ARGS__)
@@ -421,21 +418,17 @@
 
         // (2/3) --> HERE <-- --> HERE <-- --> HERE <-- --> HERE <-- --> HERE <-- --> HERE <-- --> HERE <--
-        SUPER_FUNCTION_GLOBAL_DECLARATION_PART1(0, testfunction, false)
+        SUPER_FUNCTION_GLOBAL_DECLARATION_PART1(0, XMLPort, true, Element& xmlelement, XMLPort::Mode mode)
+            (xmlelement, mode)
+        SUPER_FUNCTION_GLOBAL_DECLARATION_PART2;
+
+        SUPER_FUNCTION_GLOBAL_DECLARATION_PART1(1, tick, true, float dt)
+            (dt)
+        SUPER_FUNCTION_GLOBAL_DECLARATION_PART2;
+
+        SUPER_FUNCTION_GLOBAL_DECLARATION_PART1(2, changedActivity, false)
             ()
         SUPER_FUNCTION_GLOBAL_DECLARATION_PART2;
 
-        SUPER_FUNCTION_GLOBAL_DECLARATION_PART1(1, XMLPort, true, Element& xmlelement, XMLPort::Mode mode)
-            (xmlelement, mode)
-        SUPER_FUNCTION_GLOBAL_DECLARATION_PART2;
-
-        SUPER_FUNCTION_GLOBAL_DECLARATION_PART1(2, tick, true, float dt)
-            (dt)
-        SUPER_FUNCTION_GLOBAL_DECLARATION_PART2;
-
-        SUPER_FUNCTION_GLOBAL_DECLARATION_PART1(3, changedActivity, false)
-            ()
-        SUPER_FUNCTION_GLOBAL_DECLARATION_PART2;
-
-        SUPER_FUNCTION_GLOBAL_DECLARATION_PART1(4, changedVisibility, false)
+        SUPER_FUNCTION_GLOBAL_DECLARATION_PART1(3, changedVisibility, false)
             ()
         SUPER_FUNCTION_GLOBAL_DECLARATION_PART2;
@@ -482,5 +475,4 @@
 
     // (3/3) --> HERE <-- --> HERE <-- --> HERE <-- --> HERE <-- --> HERE <-- --> HERE <-- --> HERE <--
-    SUPER_INTRUSIVE_DECLARATION(testfunction);
     SUPER_INTRUSIVE_DECLARATION(XMLPort);
     SUPER_INTRUSIVE_DECLARATION(tick);
Index: code/branches/core3/src/orxonox/objects/Ambient.cc
===================================================================
--- code/branches/core3/src/orxonox/objects/Ambient.cc	(revision 1734)
+++ code/branches/core3/src/orxonox/objects/Ambient.cc	(revision 1736)
@@ -89,5 +89,4 @@
     void Ambient::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
-//        BaseObject::XMLPort(xmlelement, mode);
         SUPER(Ambient, XMLPort, xmlelement, mode);
 
Index: code/branches/core3/src/orxonox/objects/BillboardProjectile.cc
===================================================================
--- code/branches/core3/src/orxonox/objects/BillboardProjectile.cc	(revision 1734)
+++ code/branches/core3/src/orxonox/objects/BillboardProjectile.cc	(revision 1736)
@@ -48,9 +48,4 @@
             this->scale(0.5);
         }
-/*
-        std::cout << "a:\n";
-        SUPER(BillboardProjectile, testfunction);
-        std::cout << "b:\n";
-*/
     }
 
@@ -68,9 +63,6 @@
     void BillboardProjectile::changedVisibility()
     {
-//        Projectile::changedVisibility();
         SUPER(BillboardProjectile, changedVisibility);
         this->billboard_.setVisible(this->isVisible());
     }
-
-    void BillboardProjectile::testfunction() { SUPER(BillboardProjectile, testfunction); std::cout << "2 -> " << std::endl; }
 }
Index: code/branches/core3/src/orxonox/objects/BillboardProjectile.h
===================================================================
--- code/branches/core3/src/orxonox/objects/BillboardProjectile.h	(revision 1734)
+++ code/branches/core3/src/orxonox/objects/BillboardProjectile.h	(revision 1736)
@@ -46,5 +46,4 @@
             virtual void setColour(const ColourValue& colour);
             virtual void changedVisibility();
-            virtual void testfunction();
 
         private:
Index: code/branches/core3/src/orxonox/objects/Model.cc
===================================================================
--- code/branches/core3/src/orxonox/objects/Model.cc	(revision 1734)
+++ code/branches/core3/src/orxonox/objects/Model.cc	(revision 1736)
@@ -66,5 +66,4 @@
     void Model::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
-//        WorldEntity::XMLPort(xmlelement, mode);
         SUPER(Model, XMLPort, xmlelement, mode);
 
@@ -73,17 +72,5 @@
         Model::create();
     }
-/*
-    void Model::tick(float dt)
-    {
-        float i = dt * rnd(-100, 100);
-        float j = dt * rnd(-100, 100);
-        float k = dt * rnd(-100, 100);
 
-//        WorldEntity::tick(dt);
-        SUPER(Model, tick, dt);
-
-        this->setPosition(this->getPosition().x + i, this->getPosition().y + j, this->getPosition().z + k);
-    }
-*/
     bool Model::create(){
       if(!WorldEntity::create())
@@ -107,5 +94,4 @@
     void Model::changedVisibility()
     {
-//        WorldEntity::changedVisibility();
         SUPER(Model, changedVisibility);
         this->mesh_.setVisible(this->isVisible());
Index: code/branches/core3/src/orxonox/objects/Model.h
===================================================================
--- code/branches/core3/src/orxonox/objects/Model.h	(revision 1734)
+++ code/branches/core3/src/orxonox/objects/Model.h	(revision 1736)
@@ -44,5 +44,4 @@
             virtual ~Model();
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-//            virtual void tick(float dt);
             virtual void changedVisibility();
             inline void setMesh(const std::string& meshname)
Index: code/branches/core3/src/orxonox/objects/ParticleProjectile.cc
===================================================================
--- code/branches/core3/src/orxonox/objects/ParticleProjectile.cc	(revision 1734)
+++ code/branches/core3/src/orxonox/objects/ParticleProjectile.cc	(revision 1736)
@@ -55,13 +55,4 @@
 
         this->setConfigValues();
-/*
-        std::cout << "c:\n";
-        SUPER(ParticleProjectile, testfunction);
-        std::cout << "d:\n";
-
-        std::cout << "e:\n";
-        this->testfunction();
-        std::cout << "f:\n";
-*/
     }
 
@@ -79,9 +70,6 @@
     void ParticleProjectile::changedVisibility()
     {
-//        BillboardProjectile::changedVisibility();
         SUPER(ParticleProjectile, changedVisibility);
         this->particles_->setEnabled(this->isVisible());
     }
-
-    void ParticleProjectile::testfunction() { SUPER(ParticleProjectile, testfunction); std::cout << "3 -> " << std::endl; }
 }
Index: code/branches/core3/src/orxonox/objects/ParticleProjectile.h
===================================================================
--- code/branches/core3/src/orxonox/objects/ParticleProjectile.h	(revision 1734)
+++ code/branches/core3/src/orxonox/objects/ParticleProjectile.h	(revision 1736)
@@ -44,5 +44,4 @@
             virtual ~ParticleProjectile();
             virtual void changedVisibility();
-            virtual void testfunction();
             void setConfigValues();
 
Index: code/branches/core3/src/orxonox/objects/Projectile.cc
===================================================================
--- code/branches/core3/src/orxonox/objects/Projectile.cc	(revision 1734)
+++ code/branches/core3/src/orxonox/objects/Projectile.cc	(revision 1736)
@@ -86,5 +86,4 @@
     void Projectile::tick(float dt)
     {
-//        WorldEntity::tick(dt);
         SUPER(Projectile, tick, dt);
 
@@ -122,5 +121,3 @@
         delete this;
     }
-
-    void Projectile::testfunction() { std::cout << "1 -> " << std::endl; }
 }
Index: code/branches/core3/src/orxonox/objects/Projectile.h
===================================================================
--- code/branches/core3/src/orxonox/objects/Projectile.h	(revision 1734)
+++ code/branches/core3/src/orxonox/objects/Projectile.h	(revision 1736)
@@ -32,5 +32,4 @@
 #include "OrxonoxPrereqs.h"
 
-#include "core/Super.h"
 #include "WorldEntity.h"
 #include "tools/Timer.h"
@@ -46,5 +45,4 @@
             void destroyObject();
             virtual void tick(float dt);
-            virtual void testfunction();
 
             static float getSpeed()
@@ -66,6 +64,4 @@
             Timer<Projectile> destroyTimer_;
     };
-
-    SUPER_FUNCTION(0, Projectile, testfunction, false);
 }
 
Index: code/branches/core3/src/orxonox/objects/RotatingProjectile.cc
===================================================================
--- code/branches/core3/src/orxonox/objects/RotatingProjectile.cc	(revision 1734)
+++ code/branches/core3/src/orxonox/objects/RotatingProjectile.cc	(revision 1736)
@@ -87,11 +87,9 @@
         }
 
-        Projectile::tick(dt);
-//        SUPER(RotatingProjectile, tick, dt);
+        SUPER(RotatingProjectile, tick, dt);
     }
 
     void RotatingProjectile::changedVisibility()
     {
-//        BillboardProjectile::changedVisibility();
         SUPER(RotatingProjectile, changedVisibility);
         this->rotatingBillboard1_.setVisible(this->isVisible());
Index: code/branches/core3/src/orxonox/objects/Skybox.cc
===================================================================
--- code/branches/core3/src/orxonox/objects/Skybox.cc	(revision 1734)
+++ code/branches/core3/src/orxonox/objects/Skybox.cc	(revision 1736)
@@ -67,5 +67,4 @@
     void Skybox::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
-//        BaseObject::XMLPort(xmlelement, mode);
         SUPER(Skybox, XMLPort, xmlelement, mode);
 
@@ -87,5 +86,4 @@
     void Skybox::changedVisibility()
     {
-//        BaseObject::changedVisibility();
         SUPER(Skybox, changedVisibility);
         GraphicsEngine::getSingleton().getSceneManager()->setSkyBox(this->isVisible(), this->skyboxSrc_);
Index: code/branches/core3/src/orxonox/objects/SpaceShip.cc
===================================================================
--- code/branches/core3/src/orxonox/objects/SpaceShip.cc	(revision 1734)
+++ code/branches/core3/src/orxonox/objects/SpaceShip.cc	(revision 1736)
@@ -259,5 +259,4 @@
     void SpaceShip::changedVisibility()
     {
-//        Model::changedVisibility();
         SUPER(SpaceShip, changedVisibility);
 
@@ -272,5 +271,4 @@
     void SpaceShip::changedActivity()
     {
-//        Model::changedActivity();
         SUPER(SpaceShip, changedActivity);
 
@@ -347,5 +345,4 @@
     void SpaceShip::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
-//        Model::XMLPort(xmlelement, mode);
         SUPER(SpaceShip, XMLPort, xmlelement, mode);
 
@@ -485,5 +482,4 @@
 
 
-//        WorldEntity::tick(dt);
         SUPER(SpaceShip, tick, dt);
 
Index: code/branches/core3/src/orxonox/objects/SpaceShipAI.cc
===================================================================
--- code/branches/core3/src/orxonox/objects/SpaceShipAI.cc	(revision 1734)
+++ code/branches/core3/src/orxonox/objects/SpaceShipAI.cc	(revision 1736)
@@ -78,5 +78,4 @@
     void SpaceShipAI::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
-//        SpaceShip::XMLPort(xmlelement, mode);
         SUPER(SpaceShipAI, XMLPort, xmlelement, mode);
 
@@ -230,5 +229,4 @@
             this->doFire();
 
-//        SpaceShip::tick(dt);
         SUPER(SpaceShipAI, tick, dt);
     }
Index: code/branches/core3/src/orxonox/objects/Tickable.h
===================================================================
--- code/branches/core3/src/orxonox/objects/Tickable.h	(revision 1734)
+++ code/branches/core3/src/orxonox/objects/Tickable.h	(revision 1736)
@@ -63,5 +63,5 @@
     };
 
-    SUPER_FUNCTION(2, Tickable, tick, true);
+    SUPER_FUNCTION(1, Tickable, tick, true);
 
     //! The Tickable interface provides a tick(dt) function, that gets called every frame.
Index: code/branches/core3/src/orxonox/objects/WorldEntity.cc
===================================================================
--- code/branches/core3/src/orxonox/objects/WorldEntity.cc	(revision 1734)
+++ code/branches/core3/src/orxonox/objects/WorldEntity.cc	(revision 1736)
@@ -110,5 +110,4 @@
     void WorldEntity::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
-//        BaseObject::XMLPort(xmlelement, mode);
         SUPER(WorldEntity, XMLPort, xmlelement, mode);
 