Index: code/trunk/visual_studio/core_properties.vsprops
===================================================================
--- code/trunk/visual_studio/core_properties.vsprops	(revision 1735)
+++ code/trunk/visual_studio/core_properties.vsprops	(revision 1747)
@@ -8,4 +8,5 @@
 	<Tool
 		Name="VCCLCompilerTool"
+		AdditionalOptions="/MP2"
 		PreprocessorDefinitions="CORE_SHARED_BUILD"
 	/>
Index: code/trunk/visual_studio/network_properties.vsprops
===================================================================
--- code/trunk/visual_studio/network_properties.vsprops	(revision 1735)
+++ code/trunk/visual_studio/network_properties.vsprops	(revision 1747)
@@ -8,4 +8,5 @@
 	<Tool
 		Name="VCCLCompilerTool"
+		AdditionalOptions="/MP2"
 		PreprocessorDefinitions="ORXONOX_NO_EXPORTS;NETWORK_STATIC_BUILD;WIN32_LEAN_AND_MEAN"
 	/>
Index: code/trunk/visual_studio/orxonox_properties.vsprops
===================================================================
--- code/trunk/visual_studio/orxonox_properties.vsprops	(revision 1735)
+++ code/trunk/visual_studio/orxonox_properties.vsprops	(revision 1747)
@@ -8,4 +8,5 @@
 	<Tool
 		Name="VCCLCompilerTool"
+		AdditionalOptions="/MP2"
 		PreprocessorDefinitions="ORXONOX_NO_EXPORTS;NETWORK_STATIC_BUILD"
 		UsePrecompiledHeader="2"
Index: code/trunk/visual_studio/vc8/core.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/core.vcproj	(revision 1735)
+++ code/trunk/visual_studio/vc8/core.vcproj	(revision 1747)
@@ -161,8 +161,4 @@
 			</File>
 			<File
-				RelativePath="..\..\src\core\Error.cc"
-				>
-			</File>
-			<File
 				RelativePath="..\..\src\core\Language.cc"
 				>
@@ -173,17 +169,5 @@
 			</File>
 			<File
-				RelativePath="..\..\src\core\OutputBuffer.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\OutputHandler.cc"
-				>
-			</File>
-			<File
 				RelativePath="..\..\src\core\Script.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\SignalHandler.cc"
 				>
 			</File>
@@ -253,4 +237,8 @@
 					>
 				</File>
+				<File
+					RelativePath="..\..\src\core\ObjectListBase.cc"
+					>
+				</File>
 			</Filter>
 			<Filter
@@ -365,12 +353,4 @@
 			</File>
 			<File
-				RelativePath="..\..\src\core\Debug.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\Error.h"
-				>
-			</File>
-			<File
 				RelativePath="..\..\src\core\Language.h"
 				>
@@ -381,12 +361,4 @@
 			</File>
 			<File
-				RelativePath="..\..\src\core\OutputBuffer.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\OutputHandler.h"
-				>
-			</File>
-			<File
 				RelativePath="..\..\src\core\Script.h"
 				>
@@ -397,5 +369,5 @@
 			</File>
 			<File
-				RelativePath="..\..\src\core\SignalHandler.h"
+				RelativePath="..\..\src\core\Super.h"
 				>
 			</File>
@@ -524,4 +496,8 @@
 				</File>
 				<File
+					RelativePath="..\..\src\core\IteratorBase.h"
+					>
+				</File>
+				<File
 					RelativePath="..\..\src\core\MetaObjectList.h"
 					>
@@ -529,4 +505,8 @@
 				<File
 					RelativePath="..\..\src\core\ObjectList.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\ObjectListBase.h"
 					>
 				</File>
Index: code/trunk/visual_studio/vc8/orxonox.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/orxonox.vcproj	(revision 1735)
+++ code/trunk/visual_studio/vc8/orxonox.vcproj	(revision 1747)
@@ -189,4 +189,10 @@
 			</File>
 			<File
+				RelativePath="..\..\src\orxonox\SignalHandler.cc"
+				>
+			</File>
+			<Filter
+				Name="hud"
+			<File
 				RelativePath="..\..\src\orxonox\RadarListener.cc"
 				>
@@ -558,4 +564,8 @@
 			<File
 				RelativePath="..\..\src\orxonox\Settings.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\orxonox\SignalHandler.h"
 				>
 			</File>
Index: code/trunk/visual_studio/vc8/util.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/util.vcproj	(revision 1735)
+++ code/trunk/visual_studio/vc8/util.vcproj	(revision 1747)
@@ -161,4 +161,8 @@
 			</File>
 			<File
+				RelativePath="..\..\src\util\Error.cc"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\util\ExprParser.cc"
 				>
@@ -169,13 +173,13 @@
 			</File>
 			<File
-				RelativePath="..\..\src\util\MultiTypeMath.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\util\MultiTypePrimitive.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\util\MultiTypeString.cc"
+				RelativePath="..\..\src\util\MultiType.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\OutputBuffer.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\OutputHandler.cc"
 				>
 			</File>
@@ -211,4 +215,12 @@
 			</File>
 			<File
+				RelativePath="..\..\src\util\Debug.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\Error.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\util\ExprParser.h"
 				>
@@ -223,17 +235,17 @@
 			</File>
 			<File
-				RelativePath="..\..\src\util\MultiTypeMath.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\util\MultiTypePrimitive.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\util\MultiTypeString.h"
+				RelativePath="..\..\src\util\MultiTypeValue.h"
 				>
 			</File>
 			<File
 				RelativePath="..\..\src\util\OrxonoxPlatform.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\OutputBuffer.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\OutputHandler.h"
 				>
 			</File>