Index: de/trunk/src/ceguilua-0.5.0b/ceguilua/Makefile.am
===================================================================
--- /code/trunk/src/ceguilua-0.5.0b/ceguilua/Makefile.am	(revision 1810)
+++ 	(revision )
@@ -1,13 +1,0 @@
-INCLUDES = -I$(top_srcdir)/include \
-           -I$(top_srcdir)/ScriptingModules/CEGUILua/tolua++ \
-           -I$(top_srcdir)/ScriptingModules/CEGUILua/LuaScriptModule/include
-lib_LTLIBRARIES = libCEGUILuaScriptModule.la
-
-libCEGUILuaScriptModule_la_LDFLAGS = -version-info @CEGUI_VERSION_INFO@
-
-libCEGUILuaScriptModule_la_SOURCES = lua_CEGUI.cpp \
-                                     CEGUILua.cpp \
-                                     CEGUILuaFunctor.cpp \
-                                     required.cpp
-
-noinst_HEADERS = required.h
Index: de/trunk/src/ceguilua-0.5.0b/ceguilua/Makefile.in
===================================================================
--- /code/trunk/src/ceguilua-0.5.0b/ceguilua/Makefile.in	(revision 1810)
+++ 	(revision )
@@ -1,534 +1,0 @@
-# Makefile.in generated by automake 1.7.9 from Makefile.am.
-# @configure_input@
-
-# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
-# Free Software Foundation, Inc.
-# This Makefile.in is free software; the Free Software Foundation
-# gives unlimited permission to copy and/or distribute it,
-# with or without modifications, as long as this notice is preserved.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
-# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
-# PARTICULAR PURPOSE.
-
-@SET_MAKE@
-
-srcdir = @srcdir@
-top_srcdir = @top_srcdir@
-VPATH = @srcdir@
-pkgdatadir = $(datadir)/@PACKAGE@
-pkglibdir = $(libdir)/@PACKAGE@
-pkgincludedir = $(includedir)/@PACKAGE@
-top_builddir = ../../../..
-
-am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
-INSTALL = @INSTALL@
-install_sh_DATA = $(install_sh) -c -m 644
-install_sh_PROGRAM = $(install_sh) -c
-install_sh_SCRIPT = $(install_sh) -c
-INSTALL_HEADER = $(INSTALL_DATA)
-transform = $(program_transform_name)
-NORMAL_INSTALL = :
-PRE_INSTALL = :
-POST_INSTALL = :
-NORMAL_UNINSTALL = :
-PRE_UNINSTALL = :
-POST_UNINSTALL = :
-host_triplet = @host@
-ACLOCAL = @ACLOCAL@
-AMDEP_FALSE = @AMDEP_FALSE@
-AMDEP_TRUE = @AMDEP_TRUE@
-AMTAR = @AMTAR@
-AR = @AR@
-AUTOCONF = @AUTOCONF@
-AUTOHEADER = @AUTOHEADER@
-AUTOMAKE = @AUTOMAKE@
-AWK = @AWK@
-BUILD_EXPAT_PARSER_FALSE = @BUILD_EXPAT_PARSER_FALSE@
-BUILD_EXPAT_PARSER_TRUE = @BUILD_EXPAT_PARSER_TRUE@
-BUILD_IRRLICHT_RENDERER_FALSE = @BUILD_IRRLICHT_RENDERER_FALSE@
-BUILD_IRRLICHT_RENDERER_TRUE = @BUILD_IRRLICHT_RENDERER_TRUE@
-BUILD_LIBXML_PARSER_FALSE = @BUILD_LIBXML_PARSER_FALSE@
-BUILD_LIBXML_PARSER_TRUE = @BUILD_LIBXML_PARSER_TRUE@
-BUILD_OPENGL_RENDERER_FALSE = @BUILD_OPENGL_RENDERER_FALSE@
-BUILD_OPENGL_RENDERER_TRUE = @BUILD_OPENGL_RENDERER_TRUE@
-BUILD_TINYXML_PARSER_FALSE = @BUILD_TINYXML_PARSER_FALSE@
-BUILD_TINYXML_PARSER_TRUE = @BUILD_TINYXML_PARSER_TRUE@
-BUILD_XERCES_PARSER_FALSE = @BUILD_XERCES_PARSER_FALSE@
-BUILD_XERCES_PARSER_TRUE = @BUILD_XERCES_PARSER_TRUE@
-CC = @CC@
-CCDEPMODE = @CCDEPMODE@
-CEGUIOGRE_CFLAGS = @CEGUIOGRE_CFLAGS@
-CEGUIOGRE_LIBS = @CEGUIOGRE_LIBS@
-CEGUI_BUILD_CORONA_IMAGE_CODEC_FALSE = @CEGUI_BUILD_CORONA_IMAGE_CODEC_FALSE@
-CEGUI_BUILD_CORONA_IMAGE_CODEC_TRUE = @CEGUI_BUILD_CORONA_IMAGE_CODEC_TRUE@
-CEGUI_BUILD_DEVIL_IMAGE_CODEC_FALSE = @CEGUI_BUILD_DEVIL_IMAGE_CODEC_FALSE@
-CEGUI_BUILD_DEVIL_IMAGE_CODEC_TRUE = @CEGUI_BUILD_DEVIL_IMAGE_CODEC_TRUE@
-CEGUI_BUILD_FREE_IMAGE_IMAGE_CODEC_FALSE = @CEGUI_BUILD_FREE_IMAGE_IMAGE_CODEC_FALSE@
-CEGUI_BUILD_FREE_IMAGE_IMAGE_CODEC_TRUE = @CEGUI_BUILD_FREE_IMAGE_IMAGE_CODEC_TRUE@
-CEGUI_BUILD_LUA_MODULE_FALSE = @CEGUI_BUILD_LUA_MODULE_FALSE@
-CEGUI_BUILD_LUA_MODULE_TRUE = @CEGUI_BUILD_LUA_MODULE_TRUE@
-CEGUI_BUILD_SAMPLES_FALSE = @CEGUI_BUILD_SAMPLES_FALSE@
-CEGUI_BUILD_SAMPLES_TRUE = @CEGUI_BUILD_SAMPLES_TRUE@
-CEGUI_BUILD_SILLY_IMAGE_CODEC_FALSE = @CEGUI_BUILD_SILLY_IMAGE_CODEC_FALSE@
-CEGUI_BUILD_SILLY_IMAGE_CODEC_TRUE = @CEGUI_BUILD_SILLY_IMAGE_CODEC_TRUE@
-CEGUI_BUILD_TGA_IMAGE_CODEC_FALSE = @CEGUI_BUILD_TGA_IMAGE_CODEC_FALSE@
-CEGUI_BUILD_TGA_IMAGE_CODEC_TRUE = @CEGUI_BUILD_TGA_IMAGE_CODEC_TRUE@
-CEGUI_BUILD_TOLUACEGUI_FALSE = @CEGUI_BUILD_TOLUACEGUI_FALSE@
-CEGUI_BUILD_TOLUACEGUI_TRUE = @CEGUI_BUILD_TOLUACEGUI_TRUE@
-CEGUI_IRRLICHT_VERSION_INFO = @CEGUI_IRRLICHT_VERSION_INFO@
-CEGUI_NULL_CFLAGS = @CEGUI_NULL_CFLAGS@
-CEGUI_NULL_LIBS = @CEGUI_NULL_LIBS@
-CEGUI_OPENGL_VERSION_INFO = @CEGUI_OPENGL_VERSION_INFO@
-CEGUI_SAMPLES_USE_IRRLICHT_FALSE = @CEGUI_SAMPLES_USE_IRRLICHT_FALSE@
-CEGUI_SAMPLES_USE_IRRLICHT_TRUE = @CEGUI_SAMPLES_USE_IRRLICHT_TRUE@
-CEGUI_SAMPLES_USE_OGRE_FALSE = @CEGUI_SAMPLES_USE_OGRE_FALSE@
-CEGUI_SAMPLES_USE_OGRE_TRUE = @CEGUI_SAMPLES_USE_OGRE_TRUE@
-CEGUI_SAMPLES_USE_OPENGL_FALSE = @CEGUI_SAMPLES_USE_OPENGL_FALSE@
-CEGUI_SAMPLES_USE_OPENGL_TRUE = @CEGUI_SAMPLES_USE_OPENGL_TRUE@
-CEGUI_USING_GTK2_FALSE = @CEGUI_USING_GTK2_FALSE@
-CEGUI_USING_GTK2_TRUE = @CEGUI_USING_GTK2_TRUE@
-CEGUI_VERSION_INFO = @CEGUI_VERSION_INFO@
-CFLAGS = @CFLAGS@
-CPP = @CPP@
-CPPFLAGS = @CPPFLAGS@
-CXX = @CXX@
-CXXCPP = @CXXCPP@
-CXXDEPMODE = @CXXDEPMODE@
-CXXFLAGS = @CXXFLAGS@
-CYGPATH_W = @CYGPATH_W@
-Corona_CFLAGS = @Corona_CFLAGS@
-Corona_LIBS = @Corona_LIBS@
-DEFS = @DEFS@
-DEPDIR = @DEPDIR@
-DevIL_CFLAGS = @DevIL_CFLAGS@
-DevIL_LIBS = @DevIL_LIBS@
-ECHO = @ECHO@
-ECHO_C = @ECHO_C@
-ECHO_N = @ECHO_N@
-ECHO_T = @ECHO_T@
-EGREP = @EGREP@
-EXEEXT = @EXEEXT@
-F77 = @F77@
-FFLAGS = @FFLAGS@
-FreeImage_CFLAGS = @FreeImage_CFLAGS@
-FreeImage_LIBS = @FreeImage_LIBS@
-GREP = @GREP@
-GTK_CFLAGS = @GTK_CFLAGS@
-GTK_LIBS = @GTK_LIBS@
-INSTALL_DATA = @INSTALL_DATA@
-INSTALL_PROGRAM = @INSTALL_PROGRAM@
-INSTALL_SCRIPT = @INSTALL_SCRIPT@
-INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
-Irrlicht_CFLAGS = @Irrlicht_CFLAGS@
-Irrlicht_LIBS = @Irrlicht_LIBS@
-LDFLAGS = @LDFLAGS@
-LIBOBJS = @LIBOBJS@
-LIBS = @LIBS@
-LIBTOOL = @LIBTOOL@
-LN_S = @LN_S@
-LTLIBOBJS = @LTLIBOBJS@
-Lua_CFLAGS = @Lua_CFLAGS@
-Lua_LIBS = @Lua_LIBS@
-MAKEINFO = @MAKEINFO@
-OBJEXT = @OBJEXT@
-OpenGL_CFLAGS = @OpenGL_CFLAGS@
-OpenGL_LIBS = @OpenGL_LIBS@
-PACKAGE = @PACKAGE@
-PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-PACKAGE_NAME = @PACKAGE_NAME@
-PACKAGE_STRING = @PACKAGE_STRING@
-PACKAGE_TARNAME = @PACKAGE_TARNAME@
-PACKAGE_VERSION = @PACKAGE_VERSION@
-PATH_SEPARATOR = @PATH_SEPARATOR@
-PKG_CONFIG = @PKG_CONFIG@
-RANLIB = @RANLIB@
-SET_MAKE = @SET_MAKE@
-SHELL = @SHELL@
-SILLY_CFLAGS = @SILLY_CFLAGS@
-SILLY_LIBS = @SILLY_LIBS@
-STRIP = @STRIP@
-VERSION = @VERSION@
-XMKMF = @XMKMF@
-X_CFLAGS = @X_CFLAGS@
-X_EXTRA_LIBS = @X_EXTRA_LIBS@
-X_LIBS = @X_LIBS@
-X_PRE_LIBS = @X_PRE_LIBS@
-ac_ct_CC = @ac_ct_CC@
-ac_ct_CXX = @ac_ct_CXX@
-ac_ct_F77 = @ac_ct_F77@
-am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
-am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
-am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
-am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
-am__include = @am__include@
-am__leading_dot = @am__leading_dot@
-am__quote = @am__quote@
-bindir = @bindir@
-build = @build@
-build_alias = @build_alias@
-build_cpu = @build_cpu@
-build_os = @build_os@
-build_vendor = @build_vendor@
-cegui_corona_config = @cegui_corona_config@
-datadir = @datadir@
-datarootdir = @datarootdir@
-docdir = @docdir@
-dvidir = @dvidir@
-exec_prefix = @exec_prefix@
-expat_CFLAGS = @expat_CFLAGS@
-expat_LIBS = @expat_LIBS@
-freetype2_CFLAGS = @freetype2_CFLAGS@
-freetype2_LIBS = @freetype2_LIBS@
-host = @host@
-host_alias = @host_alias@
-host_cpu = @host_cpu@
-host_os = @host_os@
-host_vendor = @host_vendor@
-htmldir = @htmldir@
-includedir = @includedir@
-infodir = @infodir@
-install_sh = @install_sh@
-libdir = @libdir@
-libexecdir = @libexecdir@
-libxml_CFLAGS = @libxml_CFLAGS@
-libxml_LIBS = @libxml_LIBS@
-localedir = @localedir@
-localstatedir = @localstatedir@
-mandir = @mandir@
-oldincludedir = @oldincludedir@
-pcre_CFLAGS = @pcre_CFLAGS@
-pcre_LIBS = @pcre_LIBS@
-pdfdir = @pdfdir@
-prefix = @prefix@
-program_transform_name = @program_transform_name@
-psdir = @psdir@
-sbindir = @sbindir@
-sharedstatedir = @sharedstatedir@
-sysconfdir = @sysconfdir@
-target_alias = @target_alias@
-xerces_CFLAGS = @xerces_CFLAGS@
-xerces_LIBS = @xerces_LIBS@
-INCLUDES = -I$(top_srcdir)/include \
-           -I$(top_srcdir)/ScriptingModules/CEGUILua/tolua++ \
-           -I$(top_srcdir)/ScriptingModules/CEGUILua/LuaScriptModule/include
-
-lib_LTLIBRARIES = libCEGUILuaScriptModule.la
-
-libCEGUILuaScriptModule_la_LDFLAGS = -version-info @CEGUI_VERSION_INFO@
-
-libCEGUILuaScriptModule_la_SOURCES = lua_CEGUI.cpp \
-                                     CEGUILua.cpp \
-                                     CEGUILuaFunctor.cpp \
-                                     required.cpp
-
-
-noinst_HEADERS = required.h
-subdir = ScriptingModules/CEGUILua/LuaScriptModule/src
-ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
-CONFIG_HEADER = $(top_builddir)/include/config.h
-CONFIG_CLEAN_FILES =
-LTLIBRARIES = $(lib_LTLIBRARIES)
-
-libCEGUILuaScriptModule_la_LIBADD =
-am_libCEGUILuaScriptModule_la_OBJECTS = lua_CEGUI.lo CEGUILua.lo \
-	CEGUILuaFunctor.lo required.lo
-libCEGUILuaScriptModule_la_OBJECTS = \
-	$(am_libCEGUILuaScriptModule_la_OBJECTS)
-
-DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)/include
-depcomp = $(SHELL) $(top_srcdir)/depcomp
-am__depfiles_maybe = depfiles
-@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/CEGUILua.Plo \
-@AMDEP_TRUE@	./$(DEPDIR)/CEGUILuaFunctor.Plo \
-@AMDEP_TRUE@	./$(DEPDIR)/lua_CEGUI.Plo ./$(DEPDIR)/required.Plo
-CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
-	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
-LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
-	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
-	$(AM_CXXFLAGS) $(CXXFLAGS)
-CXXLD = $(CXX)
-CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
-	$(AM_LDFLAGS) $(LDFLAGS) -o $@
-DIST_SOURCES = $(libCEGUILuaScriptModule_la_SOURCES)
-HEADERS = $(noinst_HEADERS)
-
-DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.in Makefile.am
-SOURCES = $(libCEGUILuaScriptModule_la_SOURCES)
-
-all: all-am
-
-.SUFFIXES:
-.SUFFIXES: .cpp .lo .o .obj
-$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.ac $(ACLOCAL_M4)
-	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  ScriptingModules/CEGUILua/LuaScriptModule/src/Makefile
-Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
-	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
-libLTLIBRARIES_INSTALL = $(INSTALL)
-install-libLTLIBRARIES: $(lib_LTLIBRARIES)
-	@$(NORMAL_INSTALL)
-	$(mkinstalldirs) $(DESTDIR)$(libdir)
-	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
-	  if test -f $$p; then \
-	    f="`echo $$p | sed -e 's|^.*/||'`"; \
-	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f"; \
-	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f; \
-	  else :; fi; \
-	done
-
-uninstall-libLTLIBRARIES:
-	@$(NORMAL_UNINSTALL)
-	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
-	    p="`echo $$p | sed -e 's|^.*/||'`"; \
-	  echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p"; \
-	  $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
-	done
-
-clean-libLTLIBRARIES:
-	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
-	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
-	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
-	  test "$$dir" = "$$p" && dir=.; \
-	  echo "rm -f \"$${dir}/so_locations\""; \
-	  rm -f "$${dir}/so_locations"; \
-	done
-libCEGUILuaScriptModule.la: $(libCEGUILuaScriptModule_la_OBJECTS) $(libCEGUILuaScriptModule_la_DEPENDENCIES) 
-	$(CXXLINK) -rpath $(libdir) $(libCEGUILuaScriptModule_la_LDFLAGS) $(libCEGUILuaScriptModule_la_OBJECTS) $(libCEGUILuaScriptModule_la_LIBADD) $(LIBS)
-
-mostlyclean-compile:
-	-rm -f *.$(OBJEXT) core *.core
-
-distclean-compile:
-	-rm -f *.tab.c
-
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CEGUILua.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CEGUILuaFunctor.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lua_CEGUI.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/required.Plo@am__quote@
-
-.cpp.o:
-@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
-@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
-@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
-@am__fastdepCXX_TRUE@	fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<
-
-.cpp.obj:
-@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
-@am__fastdepCXX_TRUE@	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
-@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
-@am__fastdepCXX_TRUE@	fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`
-
-.cpp.lo:
-@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
-@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
-@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
-@am__fastdepCXX_TRUE@	fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<
-
-mostlyclean-libtool:
-	-rm -f *.lo
-
-clean-libtool:
-	-rm -rf .libs _libs
-
-distclean-libtool:
-	-rm -f libtool
-uninstall-info-am:
-
-ETAGS = etags
-ETAGSFLAGS =
-
-CTAGS = ctags
-CTAGSFLAGS =
-
-tags: TAGS
-
-ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
-	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
-	unique=`for i in $$list; do \
-	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
-	  done | \
-	  $(AWK) '    { files[$$0] = 1; } \
-	       END { for (i in files) print i; }'`; \
-	mkid -fID $$unique
-
-TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
-		$(TAGS_FILES) $(LISP)
-	tags=; \
-	here=`pwd`; \
-	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
-	unique=`for i in $$list; do \
-	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
-	  done | \
-	  $(AWK) '    { files[$$0] = 1; } \
-	       END { for (i in files) print i; }'`; \
-	test -z "$(ETAGS_ARGS)$$tags$$unique" \
-	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-	     $$tags $$unique
-
-ctags: CTAGS
-CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
-		$(TAGS_FILES) $(LISP)
-	tags=; \
-	here=`pwd`; \
-	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
-	unique=`for i in $$list; do \
-	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
-	  done | \
-	  $(AWK) '    { files[$$0] = 1; } \
-	       END { for (i in files) print i; }'`; \
-	test -z "$(CTAGS_ARGS)$$tags$$unique" \
-	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
-	     $$tags $$unique
-
-GTAGS:
-	here=`$(am__cd) $(top_builddir) && pwd` \
-	  && cd $(top_srcdir) \
-	  && gtags -i $(GTAGS_ARGS) $$here
-
-distclean-tags:
-	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-
-top_distdir = ../../../..
-distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
-	list='$(DISTFILES)'; for file in $$list; do \
-	  case $$file in \
-	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
-	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
-	  esac; \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
-	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
-	    dir="/$$dir"; \
-	    $(mkinstalldirs) "$(distdir)$$dir"; \
-	  else \
-	    dir=''; \
-	  fi; \
-	  if test -d $$d/$$file; then \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
-	    fi; \
-	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
-	  else \
-	    test -f $(distdir)/$$file \
-	    || cp -p $$d/$$file $(distdir)/$$file \
-	    || exit 1; \
-	  fi; \
-	done
-check-am: all-am
-check: check-am
-all-am: Makefile $(LTLIBRARIES) $(HEADERS)
-
-installdirs:
-	$(mkinstalldirs) $(DESTDIR)$(libdir)
-install: install-am
-install-exec: install-exec-am
-install-data: install-data-am
-uninstall: uninstall-am
-
-install-am: all-am
-	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
-
-installcheck: installcheck-am
-install-strip:
-	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
-	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
-	  `test -z '$(STRIP)' || \
-	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
-mostlyclean-generic:
-
-clean-generic:
-
-distclean-generic:
-	-rm -f $(CONFIG_CLEAN_FILES)
-
-maintainer-clean-generic:
-	@echo "This command is intended for maintainers to use"
-	@echo "it deletes files that may require special tools to rebuild."
-clean: clean-am
-
-clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
-	mostlyclean-am
-
-distclean: distclean-am
-	-rm -rf ./$(DEPDIR)
-	-rm -f Makefile
-distclean-am: clean-am distclean-compile distclean-generic \
-	distclean-libtool distclean-tags
-
-dvi: dvi-am
-
-dvi-am:
-
-info: info-am
-
-info-am:
-
-install-data-am:
-
-install-exec-am: install-libLTLIBRARIES
-
-install-info: install-info-am
-
-install-man:
-
-installcheck-am:
-
-maintainer-clean: maintainer-clean-am
-	-rm -rf ./$(DEPDIR)
-	-rm -f Makefile
-maintainer-clean-am: distclean-am maintainer-clean-generic
-
-mostlyclean: mostlyclean-am
-
-mostlyclean-am: mostlyclean-compile mostlyclean-generic \
-	mostlyclean-libtool
-
-pdf: pdf-am
-
-pdf-am:
-
-ps: ps-am
-
-ps-am:
-
-uninstall-am: uninstall-info-am uninstall-libLTLIBRARIES
-
-.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
-	clean-libLTLIBRARIES clean-libtool ctags distclean \
-	distclean-compile distclean-generic distclean-libtool \
-	distclean-tags distdir dvi dvi-am info info-am install \
-	install-am install-data install-data-am install-exec \
-	install-exec-am install-info install-info-am \
-	install-libLTLIBRARIES install-man install-strip installcheck \
-	installcheck-am installdirs maintainer-clean \
-	maintainer-clean-generic mostlyclean mostlyclean-compile \
-	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
-	tags uninstall uninstall-am uninstall-info-am \
-	uninstall-libLTLIBRARIES
-
-# Tell versions [3.59,3.63) of GNU make to not export all variables.
-# Otherwise a system limit (for SysV at least) may be exceeded.
-.NOEXPORT:
Index: de/trunk/src/ceguilua-0.6.1/ceguilua/Makefile.am
===================================================================
--- /code/trunk/src/ceguilua-0.6.1/ceguilua/Makefile.am	(revision 1810)
+++ 	(revision )
@@ -1,31 +1,0 @@
-INCLUDES = -I$(top_srcdir)/include \
-           -I$(top_srcdir)/ScriptingModules/CEGUILua/LuaScriptModule/include
-
-libCEGUILuaScriptModule_la_LDFLAGS =
-libCEGUILuaScriptModule_la_CPPFLAGS = $(Lua_CFLAGS)
-
-if MINGW32_BUILD
-libCEGUILuaScriptModule_la_CPPFLAGS += -DCEGUILUA_EXPORTS
-libCEGUILuaScriptModule_la_LDFLAGS += -no-undefined -avoid-version
-endif
-
-libCEGUILuaScriptModule_la_LDFLAGS += -version-info @CEGUI_VERSION_INFO@
-
-
-lib_LTLIBRARIES = libCEGUILuaScriptModule.la
-
-libCEGUILuaScriptModule_la_SOURCES = lua_CEGUI.cpp \
-                                     CEGUILua.cpp \
-                                     CEGUILuaFunctor.cpp \
-                                     required.cpp
-libCEGUILuaScriptModule_la_LIBADD = $(top_builddir)/src/libCEGUIBase.la \
-                                    $(Lua_LIBS)
-if CEGUI_BUILD_TOLUAPPLIB
-INCLUDES += -I$(top_srcdir)/ScriptingModules/CEGUILua/tolua++
-libCEGUILuaScriptModule_la_LIBADD += ../../tolua++/libCEGUItoluapp.la
-else
-INCLUDES += $(toluapp_CFLAGS)
-libCEGUILuaScriptModule_la_LIBADD += $(toluapp_LIBS)
-endif
-
-noinst_HEADERS = required.h
Index: /code/trunk/src/tolua/CMakeLists.txt
===================================================================
--- /code/trunk/src/tolua/CMakeLists.txt	(revision 1810)
+++ /code/trunk/src/tolua/CMakeLists.txt	(revision 1811)
@@ -33,5 +33,27 @@
   OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/toluabind_orxonox.c
   COMMAND ${TOLUAGEN_EXE} -n tolua -o ../../src/tolua/toluabind_orxonox.c -H ../../src/tolua/toluabind_orxonox.h ${TOLUA_PACKAGE}
-  DEPENDS toluagen_orxonox
+  DEPENDS
+    toluagen_orxonox
+    compat-5.1.lua
+    compat.lua
+    basic.lua
+    feature.lua
+    verbatim.lua
+    code.lua
+    ypedef.lua
+    container.lua
+    package.lua
+    module.lua
+    namespace.lua
+    define.lua
+    enumerate.lua
+    declaration.lua
+    variable.lua
+    array.lua
+    function.lua
+    operator.lua
+    class.lua
+    clean.lua
+    doit.lua
   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/bin/lib
 )